gnomeprint.FontFace
Prev | The Gnomeprint Class Reference | Next

## gnomeprint.FontFace

gnomeprint.FontFace — FontFace object for GnomePrint

## Synopsis

    class gnomeprint.FontFace(gobject.GObject):
        gnomeprint.FontFace(face, size)
        def get_ascender()
        def get_descender()
        def get_family_name()
        def get_font(size, xres, yres)
        def get_glyph_ps_name()
        def get_glyph_stdadvance(glyph, advance)
        def get_glyph_stdbbox(glyph, bbox)
        def get_glyph_stdkerning(glyph0, glyph1, kerning)
        def get_glyph_stdoutline(glyph)
        def get_glyph_width(glyph)
        def get_name()
        def get_num_glyphs()
        def get_ps_name()
        def get_sample()
        def get_species_name()
        def get_stdbbox()
        def get_underline_position()
        def get_underline_thickness()
        def get_weight_code()
        def is_fixed_width()
        def is_italic()
        def lookup_default(unicode)

    Functions

        def gnomeprint.font_face_find_closest_from_pango_description(desc)
        def gnomeprint.font_face_find_closest_from_pango_font(pfont)
        def gnomeprint.font_face_find_closest_from_weight_slant(family, weight, italic)
        def gnomeprint.font_face_find_from_family_and_style(family, style)

## Ancestry

    +-- gobject.GObject
      +-- gnomeprint.FontFace

## Properties

"FontName" | Read | The font name.
"FullName" | Read | The font full name.
"FamilyName" | Read | The font family name.
"Weight" | Read | The font weight.
"ItalicAngle" | Read | The angle of the italic font.
"IsFixedPitch" | Read | `TRUE` if the font is fixed pitch, `FALSE` otherwise.
"FontBBox" | Read |
"UnderlinePosition" | Read | The underline position of the font.
"UnderlineThickness" | Read | The underline thickness of the font.
"Version" | Read |
"CapHeight" | Read |
"XHeight" | Read |
"Ascender" | Read | The ascender of the font
"Descender" | Read | The descender of the font

## Description

## Constructor

        gnomeprint.FontFace(name)

`name` : | a font name.
Returns : | a new `gnomeprint.FontFace`.

Creates a new `gnomeprint.FontFace` object.

## Methods

### gnomeprint.FontFace.get_ascender

        def get_ascender()

Returns : | the ascender of the font.

The `get_ascender`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.FontFace.get_descender

        def get_descender()

Returns : | the descender of the font.

The `get_descender`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.FontFace.get_family_name

        def get_family_name()

Returns : | the name, `None` on error.

The `get_family_name`() method get the family name.

### gnomeprint.FontFace.get_font

        def get_font(size, xres, yres)

`size` : |
`xres` : |
`yres` : |
Returns : | the face of the font.

The `get_face`() method

### gnomeprint.FontFace.get_glyph_ps_name

        def get_glyph_ps_name(glyph)

`glyph` : |
Returns : | the full name of the font.

The `get_glyph_ps_name`() method

### gnomeprint.FontFace.get_glyph_stdadvance

        def get_glyph_stdadvance(glyph, advance)

`glyph` : |
`advance` : |
Returns : |

The `get_glyph_stdadvance`() method

### gnomeprint.FontFace.get_glyph_stdbbox

        def get_glyph_stdbbox(glyph, bbox)

`glyph` : |
`bbox` : |
Returns : |

The `get_glyph_stdbbox`() method

### gnomeprint.FontFace.get_glyph_stdkerning

        def get_glyph_stdkerning(glyph0, glyph1, kerning)

`glyph0` : |
`glyph1` : |
`kerning` : |
Returns : |

The `get_glyph_stdkerning`() method

### gnomeprint.FontFace.get_glyph_stdoutline

        def get_glyph_stdoutline(glyph)

`glyph` : |
Returns : |

The `get_glyph_stdoutline`() method

### gnomeprint.FontFace.get_glyph_width

        def get_glyph_width(glyph)

`glyph` : |
Returns : |

The `get_glyph_width`() method

### gnomeprint.FontFace.get_name

        def get_name()

Returns : |

The `get_name`() method

### gnomeprint.FontFace.get_num_glyphs

        def get_num_glyphs()

Returns : | the number of glyphs, 0 on error.

The `get_num_glyphs`() method returns the number of glyphs in the font.

### gnomeprint.FontFace.get_ps_name

        def get_ps_name()

Returns : |

The `get_ps_name`() method

### gnomeprint.FontFace.get_sample

        def get_sample()

Returns : |

The `get_sample`() method

### gnomeprint.FontFace.get_species_name

        def get_species_name()

Returns : |

The `get_species_name`() method

### gnomeprint.FontFace.get_stdbbox

        def get_stdbbox()

Returns : |

The `get_stdbbox`() method

### gnomeprint.FontFace.get_underline_position

        def get_underline_position()

Returns : | the underline position of the font.

The `get_underline_position`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.FontFace.get_underline_thickness

        def get_underline_thickness()

Returns : | the underline thickness of the font.

The `get_underline_thickness`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.FontFace.get_weight_code

        def get_weight_code()

Returns : |

The `get_weight_code`() method

### gnomeprint.FontFace.is_fixed_width

        def is_fixed_width()

Returns : |

The `is_fixed_width`() method

### gnomeprint.FontFace.is_italic

        def is_italic()

Returns : |

The `is_italic`() method

### gnomeprint.FontFace.lookup_default

        def lookup_default(unicode)

`unicode` : |
Returns : | glyph number, -1 if it is not mapped.

The `lookup_default`() method get the glyph number corresponding to a given unicode.

## Functions

### gnomeprint.font_face_find_closest_from_pango_description

        def gnomeprint.font_face_find_closest_from_pango_description(desc)

`desc` : | a `pango.FontDescription`.
Returns : |

The `font_face_find_closest_from_pango_description`() function

### gnomeprint.font_face_find_closest_from_pango_font

        def gnomeprint.font_face_find_closest_from_pango_font(pfont)

`pfont` : | a `pango.Font`.
Returns : |

The `font_face_find_closest_from_pango_font`() function

### gnomeprint.font_find_closest_from_full_name

        def gnomeprint.font_find_closest_from_full_name(string)

`string` : |
Returns : |

The `font_find_closest_from_full_name`() function

### gnomeprint.font_face_find_closest_from_weight_slant

        def gnomeprint.font_face_find_closest_from_weight_slant(family, weight, italic)

`family` : |
`weight` : |
`italic` : |
Returns : |

The `font_face_find_closest_from_weight_slant`() function

### gnomeprint.font_face_find_from_family_and_style

        def gnomeprint.font_face_find_from_family_and_style(family, style)

`family` : |
`style` : |
Returns : |

The `font_face_find_from_family_and_style`() function

Prev | Up | Next
gnomeprint.Font | Home | gnomeprint.Glyphlist